main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
]

ppwstories/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('story7/', include('story7.urls')),
    path('story8/', include('story8.urls')),
    path('story9/', include('story9.urls')),

]

story7/urls.py
from django.urls import path

from . import views

app_name = 'story7'

urlpatterns = [
    path('', views.home, name = 'home'),
]

story8/urls.py
from django.urls import path

from . import views

app_name = 'story8'

urlpatterns = [
    path('', views.home, name = 'home'),
    path('search/', views.search, name = 'search')
]

story9/urls.py
from django.urls import path
from . import views

app_name = 'story9'

urlpatterns = [
    path('', views.home, name = 'home'),
    path('signup/', views.createUser, name = 'signup'),
    path('login/', views.loginUser, name = 'login'),
    path('logout/', views.logoutUser, name = 'logout')

]

main/models.py
from django.db import models

# Create your models here.

story7/models.py
from django.db import models

# Create your models here.

story8/models.py
from django.db import models

# Create your models here.

story9/models.py
from django.db import models

# Create your models here.

story9/forms.py
from django.contrib.auth.forms import UserCreationForm
from django.contrib.auth.models import User
from django import forms

class CreateUserForm(UserCreationForm):
    class Meta:
        model = User
        fields = ['username', 'email', 'password1', 'password2']

main/views.py
from django.shortcuts import render


def home(request):
    return render(request, 'main/home.html')

story7/views.py
from django.shortcuts import render

def home(request):
    return render(request, 'accord.html')

story8/views.py
from django.shortcuts import render
from django.http import JsonResponse
import requests
from django.core import serializers


def home(request):
    return render(request, "search.html")

def search(request):
    if (request.is_ajax()):
        book_api = requests.get("https://www.googleapis.com/books/v1/volumes?q=" + request.GET['searchBar'])
        result = book_api.json()
        return JsonResponse(result)

story9/views.py
from django.shortcuts import render, redirect
from django.contrib.auth.forms import UserCreationForm
from .forms import CreateUserForm
from django.contrib.auth import authenticate, login, logout
from django.contrib import messages

def home(request):
    return render(request, 'success.html')

def createUser(request):
    form = CreateUserForm()

    if request.method == "POST":
        form = CreateUserForm(request.POST)
        if form.is_valid():
            form.save()
            messages.success(request, "✅ Akun berhasil dibuat, sekarang bisa login :).")
            return redirect('story9:login')

    context = {'form':form}
    return render(request, "signup.html", context)

def loginUser(request):
    
    if request.method == "POST":
        username = request.POST.get('username')
        password = request.POST.get('password')

        user = authenticate(request, username = username, password=password)

        if user is not None:
            login(request, user)
            return redirect('story9:home')
        else:
            messages.error(request,"Username atau password salah")

    return render(request, 'login.html')

def logoutUser(request):
    logout(request)
    return redirect('story9:login')

main/templates/main/home.html
{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
  <link rel="stylesheet" href="{% static 'utama.css' %}">
  <title>Utama</title>
</head>
<body>
  <div class="d-flex justify-content-center"  id="selectors"></div>
    <h1 class="d-flex justify-content-center">Pilih Story</h1>
    <div class="d-flex justify-content-center align-items-center">
      <div class="selector"><a href="{%url 'story7:home' %}" class="text-decoration-none">Story 7</a></div>
      <div class="selector"><a href="{%url 'story8:home' %}" class="text-decoration-none">Story 8</a></div>
      <div class="selector"><a href="{%url 'story9:signup' %}" class="text-decoration-none">Story 9</a></div>
      <div class="selector"><a href="#" class="text-decoration-none">Story 10</a></div>
    </div>
</body>
</html>

story7/templates/accord.html
{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Accordion from JQuery</title>
    <script src="https://code.jquery.com/jquery-3.5.1.min.js" integrity="sha256-9/aliU8dGd2tb6OSsuzixeV4y/faTqgFtohetphbbj0=" crossorigin="anonymous"></script>
    <script src="{%static 'main.js' %}"></script>
    <link rel="stylesheet" href="{% static 'main.css' %}">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    
</head>
<body>
    <div class="container">
        <h1>Fahmi Dani</h1>
        <div class="accord-lists">
            <div class="akord">
                <div class="accordion">
                    <div class="d-flex align-items-center">
                        <p><b>Kesibukan</b></p>
                        <div class="down"></div>
                        <div class="up"></div>
                    </div>
                </div>
                <div class="panel">
                    <ul>
                        <li>Digital Product Design SIG at RISTEK Fasilkom UI (Mar 2020 - Present)</li>
                        <li>UI/UX Design PIC at COMPFEST 13 (Soon)</li>
                    </ul>
                </div>
            </div>
            <div class="akord">
                <div class="accordion">
                    <div class="d-flex align-items-center">
                        <p><b>Pengalaman</b></p>
                        <div class="down"></div>
                        <div class="up"></div>
                    </div>    
                </div>
                <div class="panel">
                    <ul>
                        <li>UI/UX Designer Intern at Dekoruma (Jan 2020 & May 2020-Jun 2020)</li>
                        <li>Digital Product Design SIG at RISTEK Fasilkom UI (Mar 2020 - Present)</li>
                        <li>UI/UX Designer at COMPFEST 12 (Feb 2020 - Aug 2020)</li>
                    </ul>
                </div>
            </div>
            <div class="akord">
                <div class="accordion">
                    <div class="d-flex align-items-center" id="accordion">
                        <p><b>Prestasi</b></p>
                        <div class="down"></div>
                        <div class="up"></div>
                    </div>
    
                </div>
                <div class="panel">
                    <ul>
                        <li>2nd Place in Pekan RISTEK 2019: UI/UX Competition</li>
                    </ul>
                </div>
            </div>

            <div class="akord">
                <div class="accordion">
                    <div class="d-flex align-items-center" id="accordion">
                        <p><b>Gim Fav</b></p>
                        <div class="down"></div>
                        <div class="up"></div>
                    </div>    
                </div>
                <div class="panel">
                    <ul>
                        <li>Paloran</li>
                        <li>AC Origins</li>
                        <li>The Division 2</li>
                        <li>AC Odyssey</li>
                        <li>Skyrim</li>
                    </ul>
                </div>
            </div>  
        </div>
</body>
</html>

story9/templates/login.html
{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="{% static 'auth.css' %}">
    <title>Document</title>
</head>
<body>
<div class="container" id="container">
	<div class="form-container sign-in-container">
		<form method = "POST" action="">
            <h1>Log in</h1>
            {% csrf_token %}
			<input type="text" placeholder="Username" name = "username">
			<input type="password" placeholder="Password" name = "password">
			<input type="submit" style="background-color: red; border-radius : 90px; color: white;" class = "button" value = "Log in">
			{{form.errors}}
			{% for message in messages%}
            {{message}}
            {% endfor %}
		</form>
	</div>
	<div class="overlay-container">
		<div class="overlay">
			<div class="overlay-panel overlay-right">
				<h1>Belum punya akun?</h1>
				<a href = "{%url 'story9:signup'%}"><button class="button">Buat akun</button></a>
			</div>
		</div>
	</div>
</div>
</body>
</html>

story9/templates/signup.html
{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="{% static 'auth.css' %}">
    <title>Document</title>
</head>
<body>
<div class="container" id="container">
	<div class="form-container sign-in-container">
		<form method = "POST" action="">
            <h1>Buat akun</h1>
            {% csrf_token %}
            {{form.username}}
            {{form.email}}
            {{form.password1}}
            {{form.password2}}

			<!-- <input type="text" placeholder="Name" name = "username">
			<input type="email" placeholder="Email" name = "email">
			<input type="password" placeholder="Password" name = "password"> -->
            <input type="submit" style="background-color: red; border-radius : 90px; color: white;" name = "Create User" value = "Buat akun">
            {{form.errors}}
        </form>
	</div>
	<div class="overlay-container">
		<div class="overlay">
			<div class="overlay-panel overlay-right">
				<h1>Udah punya akun?</h1>
				<a href = "{%url 'story9:login'%}"><button class="button" >Sign In</button></a>
			</div>
		</div>
	</div>
</div>
<script>
    var formfield = document.getElementsByTagName('input')
    formfield[1].placeholder = 'Username'
    formfield[2].placeholder = 'Email'
    formfield[3].placeholder = 'Password'
    formfield[4].placeholder = 'Re-enter Password'
</script>
</body>
</html>

story9/templates/success.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <h1>Halo {{request.user}}, berhasil login</h1>
    <span><a href="{% url 'story9:logout' %}">Logout</a></span>
</body>
</html>

templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="{% static 'css/style.css' %}">
  {% block meta %}
  {% endblock meta %}
</head>

<body>
  {% block content %}
  {% endblock content %}
</body>

</html>